Subject: bug#12324: emacs crashes in gdb modus

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 16 Aug 2019 14:05:31 -0700

droidlove <[email-masked]> writes:

> When i compile an c/c++ program in emacs and invoke e.g. gdb -i=mi
> a.out.Tne i do run programs are getting executed the right way. But
> only for 3 times. At 4th run emacs crashes. It happens all the times i
> try to do so.
>
> I'm using Archlinux: Linux 3.5.3-1-ARCH #1 SMP PREEMPT Sun Aug 26
> 09:14:51 CEST 2012 x86_64 GNU/Linux
>
> Here is backktrace from emacs:
>
> *** buffer overflow detected ***: emacs terminated
> ======= Backtrace: =========
> /usr/lib/libc.so.6(__fortify_fail+0x37)[0x7f39477d5ad7]
> /usr/lib/libc.so.6(+0xf9bb0)[0x7f39477d3bb0]
> /usr/lib/libc.so.6(+0xfba47)[0x7f39477d5a47]
> emacs[0x5bcbdc]
> emacs[0x578c7a]
> emacs[0x579aeb]

(I'm going through old bug reports that have unfortunately gotten no
responses yet.)

This crash wasn't handled at the time, and as this was reported more
than six years ago, I don't think there's much chance of making any
progress here, so I'm closing this bug report.  If you're still seeing
similar crashes in modern Emacs versions, please reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no